import request from '@/utils/request';
//新增变电站辅控设备信号
export function addDeviceSignal(data:any){
    return request({
      url: '/auxcontrol/device-signal/addDeviceSignal',
      method: 'post',
      data
    });
  }
//分页查询变电站辅控设备信号
export function queryDeviceSignal(params:any){
    return request({
      url: '/auxcontrol/device-signal/page',
      method: 'get',
      params:params
    });

  }
  //通过辅控设备ID查询所有变电站辅控设备信号
export function listDeviceSignal(params:any){
  return request({
    url: '/monitorConfig/DeviceSignal/list',
    method: 'post',
    params:params
  });
}
//修改变电站辅控设备信号
export function updateDeviceSignal(data:any){
    return request({
      url: '/auxcontrol/device-signal/updateDeviceSignal',
      method: 'post',
      data
    });
  }
//根据ID删除变电站辅控设备信号
export function deleteDeviceSignalById(params:any){
    return request({
      url: '/auxcontrol/device-signal/deleteDeviceSignalById',
      method: 'post',
      params:params
    });
  }
  //批量删除变电站辅控设备信号
export function deleteDeviceByIds(params:any){
    return request({
      url: '/auxcontrol/device-signal/deleteDeviceSignalByIds',
      method: 'post',
      params:params
    });
 }
//查询所有变电站辅控设备
export function getDeviceTree(params:any){
    return request({
      url: '/basedata/substation-maindevice/getComponentTree',
      method: 'get',
      params:params
    });
}

// 新增变电站辅控设备告警参数设置
export function addDeviceAlarmParameter(data:any){
  return request({
    url: '/auxcontrol/device-alarm-parameter/addDeviceAlarmParameter',
    method: 'post',
    data
  });
}
//根据ID删除变电站辅控设备告警参数设置
export function deleteDeviceAlarmParameterById(params:any){
  return request({
    url: '/auxcontrol/device-alarm-parameter/deleteDeviceAlarmParameterById',
    method: 'post',
    params:params
  });
}
//批量删除变电站辅控设备告警参数设置
export function deleteDeviceAlarmParameterByIds(params:any){
  return request({
    url: '/auxcontrol/device-alarm-parameter/deleteDeviceAlarmParameterByIds',
    method: 'post',
    params:params
  });
}
//分页查询变电站辅控设备告警参数设置
export function DeviceAlarmParameter(params:any){
  return request({
    url: '/auxcontrol/device-alarm-parameter/page',
    method: 'get',
    params:params
  });
}
//修改变电站辅控设备告警参数设置
export function updateDeviceAlarmParameter(data:any){
  return request({
    url: '/auxcontrol/device-alarm-parameter/updateDeviceAlarmParameter',
    method: 'post',
    data
  });
}
//根据系统编号查询设备
export function getMeterDeviceByCode(data:any){
  return request({
    url: '/auxcontrol/meter-device/getMeterDeviceByCode',
    method: 'get',
    params:data
  });
}